curl --request GET \
--url https://sandbox.birrpay.io/v2/connector-accounts/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.birrpay.io/v2/connector-accounts/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.birrpay.io/v2/connector-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connector_type": "payment_processor",
"connector_name": "authipay",
"id": "mca_5apGeP94tMts6rg3U3kR",
"profile_id": "<string>",
"payment_methods_enabled": [
{
"payment_method_type": "card",
"payment_method_subtypes": [
{
"payment_method_type": "ach",
"payment_experience": "redirect_to_url",
"card_networks": [
"Visa"
],
"accepted_currencies": {
"type": "enable_only",
"list": [
"AED"
]
},
"accepted_countries": {
"type": "enable_only",
"list": [
"AF"
]
},
"minimum_amount": 123,
"maximum_amount": 123,
"recurring_enabled": false,
"installment_payment_enabled": true
}
]
}
],
"status": "inactive",
"connector_label": "stripe_US_travel",
"connector_account_details": {
"connector_account_details": {},
"metadata": {}
},
"connector_webhook_details": {
"merchant_secret": "12345678900987654321",
"additional_secret": "12345678900987654321"
},
"metadata": {},
"disabled": false,
"frm_configs": "\n[{\"gateway\":\"stripe\",\"payment_methods\":[{\"payment_method\":\"card\",\"payment_method_types\":[{\"payment_method_type\":\"credit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\",\"action\":\"cancel_txn\"},{\"payment_method_type\":\"debit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\"}]}]}]\n",
"applepay_verified_domains": [
"<string>"
],
"pm_auth_config": {},
"additional_merchant_data": {
"open_banking_recipient_data": {
"connector_recipient_id": "<string>"
}
},
"connector_wallets_details": {
"apple_pay_combined": {},
"apple_pay": {},
"amazon_pay": {},
"samsung_pay": {},
"paze": {},
"google_pay": {}
},
"feature_metadata": {
"revenue_recovery": {
"max_retry_count": "15",
"billing_connector_retry_threshold": "10",
"billing_account_reference": "{ \"mca_vDSg5z6AxnisHq5dbJ6g\": \"stripe_123\", \"mca_vDSg5z6AumisHqh4x5m1\": \"adyen_123\" }"
}
}
}Connector Account - Retrieve
Retrieves details of a Connector account
Authorizations
Format: admin-api-key=<admin-api-key>
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Connector account. This is only used during development.
Path Parameters
The unique identifier for the Merchant Connector
Response
Merchant Connector retrieved successfully
Response of creating a new Merchant Connector for the merchant account."
Type of the Connector for the financial use case. Could range from Payments to Accounting to Banking.
payment_processor, payment_vas, fin_operations, fiz_operations, networks, banking_entities, non_banking_finance, payout_processor, payment_method_auth, authentication_processor, tax_processor, billing_processor, vault_processor authipay, adyenplatform, stripe_billing_test, phonypay, fauxpay, pretendpay, stripe_test, adyen_test, checkout_test, paypal_test, aci, adyen, affirm, airwallex, amazonpay, archipel, authorizedotnet, bambora, bamboraapac, bankofamerica, barclaycard, billwerk, bitpay, bluesnap, blackhawknetwork, calida, boku, braintree, breadpay, cardinal, cashtocode, celero, chargebee, checkbook, checkout, coinbase, coingate, custombilling, cryptopay, ctp_mastercard, ctp_visa, cybersource, datatrans, deutschebank, digitalvirgo, dlocal, dwolla, ebanx, elavon, facilitapay, finix, fiserv, fiservemea, fiuu, flexiti, forte, getnet, gigadat, globalpay, globepay, gocardless, gpayments, hipay, helcim, hyperswitch_vault, inespay, iatapay, itaubank, jpmorgan, juspaythreedsserver, klarna, loonio, mifinity, mollie, moneris, multisafepay, netcetera, nexinets, nexixpay, nmi, nomupay, noon, nordea, novalnet, nuvei, opennode, paybox, payload, payme, payone, paypal, paysafe, paystack, paytm, payu, peachpayments, payjustnow, payjustnowinstore, phonepe, placetopay, powertranz, prophetpay, rapyd, razorpay, recurly, redsys, santander, shift4, silverflow, square, stax, stripe, stripebilling, taxjar, threedsecureio, tesouro, tokenex, tokenio, trustpay, trustpayments, tsys, vgs, volt, wellsfargo, wise, worldline, worldpay, worldpayvantiv, worldpayxml, worldpaymodular, signifyd, plaid, riskified, xendit, zen, zift, zsl Unique ID of the merchant connector account
"mca_5apGeP94tMts6rg3U3kR"
Identifier for the profile, if not provided default will be chosen from merchant account
64An object containing the details about the payment methods that need to be enabled under this merchant connector account
Show child attributes
Show child attributes
inactive, active A unique label to identify the connector account created under a profile
"stripe_US_travel"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Metadata is useful for storing additional, unstructured information on an object.
A boolean value to indicate if the connector is disabled. By default, its value is false.
false
Contains the frm configs for the merchant connector
Show child attributes
Show child attributes
"\n[{\"gateway\":\"stripe\",\"payment_methods\":[{\"payment_method\":\"card\",\"payment_method_types\":[{\"payment_method_type\":\"credit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\",\"action\":\"cancel_txn\"},{\"payment_method_type\":\"debit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\"}]}]}]\n"
identifier for the verified domains of a particular connector account
pm_auth_config will relate MCA records to their respective chosen auth services, based on payment_method and pmt
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Feature metadata for merchant connector account
Show child attributes
Show child attributes